import pytest
from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.janus_request import janus_request

class TestBeauty:
    data = BaseRequest().api_load(path_setting.BEAUTY)
    beauty_case, beauty_data = get_ids(data, "beauty")
    @pytest.mark.parametrize("param",beauty_data,ids=beauty_case)
    def test_beauty(self,param):
        print("******************")
        r = janus_request().beauty(param["channel_id"])
        if r["error"] == 0:
            assert r["error"] == param["assert"]
